org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class InjectTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest

- Direct Known Subclasses:
    InjectTest.Traversals

      public abstract class InjectTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InjectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InjectTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()`
    `void` | `g_injectXname_marko_age_nullX_selectXname_ageX()`
    `void` | `g_injectXnull_1_3_nullX()`
    `void` | `g_VX1X_injectXg_VX4XX_out_name()`
    `void` | `g_VX1X_out_injectXv2X_name()`
    `void` | `g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path()`
    `abstract Traversal<Integer,Map<String,Object>>` | `get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()`
    `abstract Traversal<Map<String,Object>,Map<String,Object>>` | `get_g_injectXname_marko_age_nullX_selectXname_ageX()`
    `abstract Traversal<Integer,Integer>` | `get_g_injectXnull_1_3_nullX()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id, Object v4Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_out_injectXv2X_name(Object v1Id, Object v2Id)`
    `abstract Traversal<Vertex,Path>` | `get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectTest

          public InjectTest()

  - ### Method Detail

    - #### get_g_VX1X_out_injectXv2X_name

          public abstract Traversal<Vertex,String> get_g_VX1X_out_injectXv2X_name(Object v1Id,
                                                                                  Object v2Id)

    - #### get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path

          public abstract Traversal<Vertex,Path> get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)

    - #### get_g_VX1X_injectXg_VX4XX_out_name

          public abstract Traversal<Vertex,String> get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id,
                                                                                      Object v4Id)

    - #### get_g_injectXnull_1_3_nullX

          public abstract Traversal<Integer,Integer> get_g_injectXnull_1_3_nullX()

    - #### get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX

          public abstract Traversal<Integer,Map<String,Object>> get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()

    - #### get_g_injectXname_marko_age_nullX_selectXname_ageX

          public abstract Traversal<Map<String,Object>,Map<String,Object>> get_g_injectXname_marko_age_nullX_selectXname_ageX()

    - #### g_VX1X_out_injectXv2X_name

          public void g_VX1X_out_injectXv2X_name()

    - #### g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path

          public void g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path()

    - #### g_injectXnull_1_3_nullX

          public void g_injectXnull_1_3_nullX()

    - #### g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX

          public void g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()

    - #### g_injectXname_marko_age_nullX_selectXname_ageX

          public void g_injectXname_marko_age_nullX_selectXname_ageX()

    - #### g_VX1X_injectXg_VX4XX_out_name

          public void g_VX1X_injectXg_VX4XX_out_name()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.